<?php
/***
* @package Joomla.Site
* @subpackage mod_firstmodule
* @license GNU/GPL, see LICENSE.php
* @copyright Copyright (C) 2005 - 2018, Open Source Matters, Inc. All rights reserved.
***/
// no direct access
defined('_JEXEC') or die;
// include the syndicate functions only once

// From: https://www.joomlashack.com/blog/joomla/part-1-make-a-simple-joomla-module/

// require_once dirname(__FILE__).'/helper.php';
?>

<?php
	$cssStyles = $params->get('cssStyles');
	$height = $params->get('height');
	$mode = $params->get('mode');
	$slideFade = $params->get('slideFade');
	$offsetContent = $params->get('offsetContent');
	$s1Img = $params->get('s1Img');
	$s1Text = $params->get('s1Text');
	$s1Mask = $params->get('s1Mask');
	$s2Img = $params->get('s2Img');
	$s2Text = $params->get('s2Text');
	$s2Mask = $params->get('s2Mask');
	$s3Img = $params->get('s3Img');
	$s3Text = $params->get('s3Text');
	$s3Mask = $params->get('s3Mask');
	$s4Img = $params->get('s4Img');
	$s4Text = $params->get('s4Text');
	$s4Mask = $params->get('s4Mask');
	$s5Img = $params->get('s5Img');
	$s5Text = $params->get('s5Text');
	$s5Mask = $params->get('s5Mask');
	$aName = $params->get('aName');
	$navBuffer = $params->get('navBuffer');
?>

<?php if ($offsetContent) {echo "
<style>
	@media screen and (min-width: 768px) {
	.carousel-right {
		 width:45%;
		 margin-left:auto;
	}
	
	.carousel-left {
		 width:45%;
		 margin-right:auto;
	}
}
</style>
";}; ?>

<?php if ($aName) {echo "<div><a name='$aName'></a></div>";}; ?>

<?php if ($navBuffer) {echo "<div style='height:".$navBuffer."px;'></div>";}; ?>

<div class="<?php echo ($cssStyles); ?>"<?php if ($height) {echo " style='height:$height'";}; ?>>
<!--Carousel Wrapper-->
<div id="lw-carousel" class="carousel slide<?php if ($mode) {echo " carousel-dark";}; ?><?php if ($slideFade) {echo " carousel-fade";}; ?>" data-ride="carousel" data-bs-ride="carousel" data-mdb-ride="carousel">
  <!--Indicators-->
  <ol class="carousel-indicators">
    <li data-target="#lw-carousel" data-slide-to="0" data-bs-slide-to="0" data-mdb-slide-to="0" class="active"></li>
    <?php if ($s2Img) {echo "<li data-target='#lw-carousel' data-slide-to='1' data-bs-slide-to='1' data-mdb-slide-to='1'></li>";}; ?>
    <?php if ($s3Img) {echo "<li data-target='#lw-carousel' data-slide-to='2' data-bs-slide-to='2' data-mdb-slide-to='1'></li>";}; ?>
	<?php if ($s4Img) {echo "<li data-target='#lw-carousel' data-slide-to='3' data-bs-slide-to='3' data-mdb-slide-to='1'></li>";}; ?>
	<?php if ($s5Img) {echo "<li data-target='#lw-carousel' data-slide-to='4' data-bs-slide-to='4' data-mdb-slide-to='1'></li>";}; ?>
  </ol>
  <!--/.Indicators-->
	
  <!--Slides-->
  <div class="carousel-inner" role="listbox">
    
	<?php if ($s1Img) {echo "
    <div class='carousel-item active'>
      <div class='view $s1Mask'>
        <img class='d-block w-100' style='z-index:1;' src='/$s1Img'>
      </div>
      <div class='carousel-caption carousel-right'>
        <div>$s1Text</div>
      </div>
    </div>
	";}; ?>

	<?php if ($s2Img) {echo "
    <div class='carousel-item'>
      <div class='view $s2Mask'>
        <img class='d-block w-100' style='z-index:1;' src='/$s2Img'>
      </div>
      <div class='carousel-caption carousel-left'>
        <div>$s2Text</div>
      </div>
    </div>
	";}; ?>

	<?php if ($s3Img) {echo "
    <div class='carousel-item'>
      <div class='view $s3Mask'>
        <img class='d-block w-100' style='z-index:1;' src='/$s3Img'>
      </div>
      <div class='carousel-caption carousel-right'>
        <div>$s3Text</div>
      </div>
    </div>
	";}; ?>
	  
	<?php if ($s4Img) {echo "
    <div class='carousel-item'>
      <div class='view $s4Mask'>
        <img class='d-block w-100' style='z-index:1;' src='/$s4Img'>
      </div>
      <div class='carousel-caption carousel-left'>
        <div>$s4Text</div>
      </div>
    </div>
	";}; ?>
	  
	<?php if ($s5Img) {echo "
    <div class='carousel-item'>
      <div class='view $s5Mask'>
        <img class='d-block w-100' style='z-index:1;' src='/$s5Img'>
      </div>
      <div class='carousel-caption carousel-right'>
        <div>$s5Text</div>
      </div>
    </div>
	";}; ?>
	  
  </div>
  <!--/.Slides-->
	
  <!--Controls-->
  <a class="carousel-control-prev" href="#lw-carousel" role="button" data-slide="prev" data-bs-slide="prev" data-mdb-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#lw-carousel" role="button" data-slide="next" data-bs-slide="next" data-mdb-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
  <!--/.Controls-->
</div>
<!--/.Carousel Wrapper-->
</div>